import Ember from 'ember';
import DS from 'ember-data';

export default DS.Model.extend({
   name: DS.attr('string'),
   createdAt: DS.attr('date', {defaultValue() { return new Date(); }}),
   yrow: DS.attr('number'),
   xcolumn: DS.attr('number'),
   flipped: DS.attr('boolean', {defaultValue: false}),

   rack: DS.belongsTo('rack')
});
