export default function(server) {
  /*
    Seed your development database using your factories.
    This data will not be loaded in your tests.

    Make sure to define a factory for each model you want to create.
  */
  let numberOfRacks = 4;
  let numberOfBottles = 0;

  let racks = server.createList('rack', numberOfRacks);
  for (let i=0; i<numberOfRacks; i++) {
     for (let col=0; col < racks[i].nbColumns; col++) {
        for (let lig=0; lig < racks[i].nbRows; lig++) {
           if (random(0,10)<5) {
             server.create('bottle', { yrow: lig, xcolumn: col, rack: racks[i] });
             numberOfBottles++;
          }
       }
     }
   }
   console.log(numberOfBottles+" bottles created in "+numberOfRacks+" racks");
  function random(min, max) {
    return Math.floor(Math.random() * (max - min)) + min;
  }
}
